Get an authorized public receipt
curl --request GET \
--url https://api.craveup.com/api/v1/storefront/receipts/{receiptId} \
--header 'X-Receipt-Token: <api-key>'import requests
url = "https://api.craveup.com/api/v1/storefront/receipts/{receiptId}"
headers = {"X-Receipt-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Receipt-Token': '<api-key>'}};
fetch('https://api.craveup.com/api/v1/storefront/receipts/{receiptId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"shortId": "<string>",
"restaurantDisplayName": "<string>",
"fulfillmentMethod": "<string>",
"fulfillmentIdentifier": "<string>",
"pickupType": "<string>",
"orderTime": "<string>",
"orderDate": "<string>",
"totalQuantity": 4503599627370495,
"currency": "<string>",
"orderTotal": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"partiallyRefunded": true,
"items": [
{
"id": "<string>",
"name": "<string>",
"quantity": 4503599627370495,
"price": "<string>",
"total": "<string>",
"discount": "<string>",
"specialInstructions": "<string>",
"modifiers": [
{
"groupName": "<string>",
"name": "<string>",
"quantity": 4503599627370495,
"price": "<string>"
}
]
}
],
"pricing": {
"subtotal": "<string>",
"discount": "<string>",
"tax": "<string>",
"tip": "<string>",
"serviceFee": "<string>",
"fulfillmentFee": "<string>",
"enterpriseFee": "<string>",
"total": "<string>",
"refunded": "<string>",
"netPaid": "<string>"
},
"deliveryInfo": {
"deliveryAddress": "<string>"
},
"delivery": {
"provider": "DOORDASH_DRIVE",
"status": "<string>",
"trackingUrl": "<string>",
"supportReference": "<string>",
"courierName": "<string>",
"pickupEstimatedAt": "2023-11-07T05:31:56Z",
"pickupActualAt": "2023-11-07T05:31:56Z",
"dropoffEstimatedAt": "2023-11-07T05:31:56Z",
"dropoffActualAt": "2023-11-07T05:31:56Z",
"cancellationReason": "<string>",
"providerUpdatedAt": "2023-11-07T05:31:56Z"
},
"roomServiceInfo": {},
"tableServiceInfo": {},
"payment": {
"provider": "STRIPE",
"cardLast4": "<string>",
"walletType": "<string>",
"cardBrand": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z"
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}Orders
Get an authorized public receipt
GET
/
receipts
/
{receiptId}
Get an authorized public receipt
Authorizations
StorefrontReceiptCapabilityStorefrontCustomerAuth
Purpose-limited receipt capability.
Path Parameters
Required string length:
1 - 128Response
Authorized receipt.
Required string length:
1 - 128Required range:
0 <= x <= 9007199254740991Pattern:
^-?\d+(?:\.\d+)?$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$